/**
 *
 *   Copyright 2013 sourceforge.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
package org.gwtopenmaps.openlayers.client.control;

import org.gwtopenmaps.openlayers.client.layer.Vector;
import org.gwtopenmaps.openlayers.client.util.JSObject;


public class Snapping extends Control
{

    public Snapping(JSObject options)
    {
        super(SnappingImpl.create(options));
    }

    public Snapping(SnappingOptions options)
    {
        this(options.getJSObject());
    }

    public Snapping()
    {
        super(SnappingImpl.create());
    }

    public boolean activate()
    {
        return SnappingImpl.activate(this.getJSObject());
    }

    public boolean deactivate()
    {
        return SnappingImpl.deactivate(this.getJSObject());
    }

    public void setLayer(Vector vector)
    {
        SnappingImpl.setLayer(this.getJSObject(), vector.getJSObject());
    }

    public void setTargetLayer(Vector vector)
    {
        SnappingImpl.addTargetLayer(this.getJSObject(), vector.getJSObject());
    }

    public void removeTargetLayer(Vector vector)
    {
        SnappingImpl.removeTargetLayer(this.getJSObject(), vector.getJSObject());
    }

    public void addTarget(SnappingTarget target)
    {
        SnappingImpl.addTarget(this.getJSObject(), target.getJSObject());
    }

    public void removeTarget(SnappingTarget target)
    {
        SnappingImpl.removeTarget(this.getJSObject(), target.getJSObject());
    }

}
